<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class RouteResource extends Resource
{
    public function toArray($request)
    {

        $relationships = [];
        $relationships['route'] = [
            'rot_codigo' => $this->rot_codigo,
            'rot_descricao' => $this->rot_descricao
        ];

        if($this->relationLoaded('salesman', null, false)){
            $relationships['salesman'] = SyncPersonResource::collection($this->salesman);
        }
        if($this->relationLoaded('clients', null, false)){
            $relationships['clients'] = SyncClientResource::collection($this->clients);
        }

        //dd($relationships);
        //return parent::toArray($request)+$relationships;
        return  $relationships;
    }
}
