<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class SyncAllClientsResource extends Resource
{
    public function toArray($request)
    {
        $relationships = [];

        if($this->relationLoaded('route', null, false)){
            $relationships['route'] = [
                'rot_codigo' => $this->route->rot_codigo,
                'rot_descricao' => $this->route->rot_descricao
            ];
        }
        if($this->relationLoaded('person', null, false)){
            $relationships['client'] = new SyncClientResource($this->person);
        }
        return  $relationships;
    }
}
