<?php


namespace App\RestApi\GeneratorLine\Controllers;


use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\GeneratorLine\Utils\Services\DirectoryScannerService;

class GeneratorLineController
{

    use Crudable;

    protected $directory_scanner_service;

    public function __construct(
        DirectoryScannerService $directory_scanner_service
    )
    {
        $this->directory_scanner_service = $directory_scanner_service;
    }


    public function scanDirectories()
    {

        return $this->directory_scanner_service->scanDirectories();

    }

}
